import socketio
import asyncio

client = socketio.AsyncClient()


@client.on('report')
async def report(data):
    print(data)


@client.event
async def connect():
    print('connected')


@client.event
async def disconnect():
    print('disconnected')


async def main():
    await client.connect('http://0.0.0.0:5001', headers={'id': 'experiment_iterative1'})


if __name__ == '__main__':
    loop = asyncio.get_event_loop()
    loop.create_task(main())
    loop.run_forever()
